using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using Microsoft.HomeServer.Extensibility;
using Microsoft.HomeServer.SDK.Interop.v1;

namespace Microsoft.HomeServer.HomeServerConsoleTab.$safeprojectname$
{
    public class HomeServerTabExtender : Microsoft.HomeServer.Extensibility.IConsoleTab  
    {
        private MainUserInterface mainuserIntf;

        public HomeServerTabExtender(int width, int height, IConsoleServices consoleServices)
        {
            mainuserIntf = new MainUserInterface();
            mainuserIntf.Size = new Size(width, height);
        }

        /// <summary>
        /// Hier wird der Name fr den TabButton in der Windows Homeserver Console angegeben 
        /// </summary>
        public string TabText 
        { 
            get 
            { 
                return "Home Server Addin"; 
            } 
        }

        /// <summary>
        /// Hier wird das Image fr den TabButton in der Windows HomeServer Console angegeben 
        /// Das Image( PNG ) soll das format 32x32 Pixel haben und im .png vorliegen 
        /// Eingebunden wird es ber den RessoureManager  
        /// </summary>
        public Bitmap TabImage
        {
            get
            {
                return Microsoft.HomeServer.HomeServerConsoleTab.$safeprojectname$.Properties.Resources.HomeserverAddin;
            }
        }

        /// <summary>
        /// Hier wird der einstiegspunkt des addin angegeben 
        /// er resultiert aus de angabe die weiter oben gemacht wurde
        /// Das UserControl ( MainUserInterface ) soll nicht grer sein als 982x534 Pixel 
        /// da es sonst passieren kann das manche controls (Buttons etc) aus dem sichtbaren bereich fallen
        /// Die Gre kann man im UserControl unter Size angeben 
        /// </summary>
        public Control TabControl 
        { 
            get 
            { 
                return mainuserIntf; 
            } 
        }

        /// <summary>
        /// 
        /// </summary>        
        public bool GetHelp()
        {
            return false;
        }

        /// <summary>
        /// Hier wird angegeben welche GUID die Addin Settings Componente hat 
        /// Die GUID muss hier und in der Settings Componente gleich sein sonst klappt das linking nicht 
        /// Wenn man keine Settings Componente Bentigt reicht diese Code vollkommen aus  
        ///     public Guid SettingsGuid 
        ///     { 
        ///         get 
        ///            { 
        ///                return Guid.Empty; 
        ///            } 
        ///     }
        /// </summary>
        public Guid SettingsGuid
        {
            get
            {
                return new Guid("{9A8E627C-0067-4dc0-B99B-FE988CE73E7A}");
            }
        }
    }

}
